DESKTOPTOJSON(8)

NOM
desktoptojson - Converteix un fitxer .desktop a un fitxer .json.

SINOPSI

desktoptojson --input FITXER_DESKTOP --output FITXER_JSON

desktoptojson {--version | --help}

DESCRIPCIÓ

L'entorn de treball KService utilitza la informació continguda als fitxers .desktop per a localitzar els serveis, inclosos els connectors per a les aplicacions i biblioteques basades en les Qt(TM) 5. De tota manera, el sistema de connectors de les Qt(TM) 5, utilitza les dades JSON incrustades en el mateix connector. desktoptojson permet que la informació continguda en un fitxer .desktop també es pugui utilitzar com a dades incrustades en un connector de les Qt 5, convertint les entrades al fitxer .desktop en dades JSON.

Les dades JSON generades són un objecte JSON que mapa les entrades des del grup [Desktop Entry] del fitxer .desktop. Qualssevol altre grup serà ignorat. La majoria de les entrades són simplement convertides a cadenes JSON, però certes entrades (com Hidden i X-KDE-PluginInfo-EnabledByDefault) són conegudes per ser valors booleans i, per tant, es converteixen, i algunes similars (com X-KDE-ServiceTypes i X-KDE-PluginInfo-Depends) sempre es converteixen a matrius de cadenes.

OPCIONS

--input FITXER_DESKTOP
    El fitxer .desktop a convertir.

--output FITXER_JSON
    El fitxer on escriure les dades JSON generades.

--help
    Mostra un text breu d'ajuda.

--version
    Mostra la informació sobre la versió.

ÚS

La majoria dels usuaris d'aquesta eina podran utilitzar la macro de CMake kservice_desktop_to_json com a part del procés de construcció d'un connector.

    add_library(myplugin MODULE ${myplugin_SRCS})
    kservice_desktop_to_json(myplugin myplugin.desktop)

Això presentarà el fitxer JSON myplugin.json, al qual es pot fer referència des de les macros K_PLUGIN_FACTORY_WITH_JSON o Q_PLUGIN_METADATA.

ERRORS

Si us plau, empreu el Seguidor d'errors del KDE[1] (escriviu-hi en anglès) per a informar dels errors.

AUTORS

Clark, Scarlett <scarlett@scarlettgatelyclark.com>
    Va escriure la documentació original.

Merry, Alex <alexmerry@kde.org>
    Ha editat la documentació.

NOTES

1.  Seguidor d'errors del KDE
    https://bugs.kde.org